// @generated by protoc-gen-es v1.0.0
// @generated from file users/v1/users.proto (package users.v1, syntax proto3)
/* eslint-disable */
// @ts-nocheck

import { proto3 } from "@bufbuild/protobuf";

/**
 * UserEventType represents the different types of user events that can be sent.
 *
 * @generated from enum users.v1.UserEventType
 */
export const UserEventType = proto3.makeEnum(
  "users.v1.UserEventType",
  [
    { no: 0, name: "USER_EVENT_TYPE_UNSPECIFIED", localName: "UNSPECIFIED" },
    { no: 1, name: "USER_EVENT_TYPE_CREATED", localName: "CREATED" },
    { no: 2, name: "USER_EVENT_TYPE_UPDATED", localName: "UPDATED" },
    { no: 3, name: "USER_EVENT_TYPE_DELETED", localName: "DELETED" },
  ],
);

/**
 * User represents a user in the rust store.
 *
 * @generated from message users.v1.User
 */
export const User = proto3.makeMessageType(
  "users.v1.User",
  () => [
    { no: 1, name: "id", kind: "scalar", T: 5 /* ScalarType.INT32 */, opt: true },
    { no: 2, name: "username", kind: "scalar", T: 9 /* ScalarType.STRING */ },
    { no: 3, name: "email", kind: "scalar", T: 9 /* ScalarType.STRING */, opt: true },
    { no: 4, name: "password", kind: "scalar", T: 9 /* ScalarType.STRING */, opt: true },
    { no: 5, name: "first_name", kind: "scalar", T: 9 /* ScalarType.STRING */, opt: true },
    { no: 6, name: "last_name", kind: "scalar", T: 9 /* ScalarType.STRING */, opt: true },
    { no: 7, name: "address", kind: "scalar", T: 9 /* ScalarType.STRING */, opt: true },
    { no: 8, name: "city", kind: "scalar", T: 9 /* ScalarType.STRING */, opt: true },
  ],
);

/**
 * @generated from message users.v1.ListUsersResponse
 */
export const ListUsersResponse = proto3.makeMessageType(
  "users.v1.ListUsersResponse",
  () => [
    { no: 1, name: "users", kind: "message", T: User, repeated: true },
  ],
);

/**
 * @generated from message users.v1.CreateUserRequest
 */
export const CreateUserRequest = proto3.makeMessageType(
  "users.v1.CreateUserRequest",
  () => [
    { no: 1, name: "user", kind: "message", T: User },
  ],
);

/**
 * @generated from message users.v1.CreateUserResponse
 */
export const CreateUserResponse = proto3.makeMessageType(
  "users.v1.CreateUserResponse",
  () => [
    { no: 1, name: "user", kind: "message", T: User },
  ],
);

/**
 * @generated from message users.v1.GetUserRequest
 */
export const GetUserRequest = proto3.makeMessageType(
  "users.v1.GetUserRequest",
  () => [
    { no: 1, name: "id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
  ],
);

/**
 * @generated from message users.v1.GetUserResponse
 */
export const GetUserResponse = proto3.makeMessageType(
  "users.v1.GetUserResponse",
  () => [
    { no: 1, name: "user", kind: "message", T: User },
  ],
);

/**
 * @generated from message users.v1.UpdateUserRequest
 */
export const UpdateUserRequest = proto3.makeMessageType(
  "users.v1.UpdateUserRequest",
  () => [
    { no: 1, name: "user", kind: "message", T: User },
  ],
);

/**
 * @generated from message users.v1.UpdateUserResponse
 */
export const UpdateUserResponse = proto3.makeMessageType(
  "users.v1.UpdateUserResponse",
  () => [
    { no: 1, name: "user", kind: "message", T: User },
  ],
);

/**
 * @generated from message users.v1.DeleteUserRequest
 */
export const DeleteUserRequest = proto3.makeMessageType(
  "users.v1.DeleteUserRequest",
  () => [
    { no: 1, name: "id", kind: "scalar", T: 9 /* ScalarType.STRING */ },
  ],
);

/**
 * @generated from message users.v1.ListUsersRequest
 */
export const ListUsersRequest = proto3.makeMessageType(
  "users.v1.ListUsersRequest",
  [],
);

/**
 * @generated from message users.v1.OnUserEventsRequest
 */
export const OnUserEventsRequest = proto3.makeMessageType(
  "users.v1.OnUserEventsRequest",
  [],
);

/**
 * @generated from message users.v1.DeleteUserResponse
 */
export const DeleteUserResponse = proto3.makeMessageType(
  "users.v1.DeleteUserResponse",
  [],
);

/**
 * @generated from message users.v1.OnUserEventsResponse
 */
export const OnUserEventsResponse = proto3.makeMessageType(
  "users.v1.OnUserEventsResponse",
  () => [
    { no: 1, name: "event_type", kind: "enum", T: proto3.getEnumType(UserEventType) },
  ],
);

